
%global pkg_name gio
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        0.13.10.0
Release:    1%{?dist}
Summary:        Binding to GIO

License:        LGPL-2.1-or-later
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-gtk2hs-buildtools-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-mtl-devel
%if %{with ghc_prof}
BuildRequires:  ghc-array-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-glib-prof
BuildRequires:  ghc-mtl-prof
%endif
BuildRequires:  pkgconfig(gio-2.0)

%description
GIO is striving to provide a modern, easy-to-use VFS API that sits at the right
level in the library stack. The goal is to overcome the shortcomings of
GnomeVFS and provide an API that is so good that developers prefer it over raw
POSIX calls. Among other things that means using GObject. It also means not
cloning the POSIX API, but providing higher-level, document-centric interfaces.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig(gio-2.0)

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install

rm -r %{buildroot}%{_datadir}/%{pkg_name}-%{version}


%files -f %{name}.files
%license COPYING


%files devel -f %{name}-devel.files


%if %{with haddock}
%files doc -f %{name}-doc.files
%license COPYING
%endif
%doc demo


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.10.0-1
- initial build
